Add a signing identity
An Android keystore, or an iOS distribution certificate with its provisioning profiles. A v2 file names it under `signing`.
Operation ID
create_signing_identityAn Android keystore, or an iOS distribution certificate with its
provisioning profiles. A v2 file names it under signing.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
project_id*string
Project ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create a signing identity. Set the input matching kind.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/string/signing-identities" \ -H "Content-Type: application/json" \ -d '{ "kind": "android_keystore", "name": "string" }'{ "identity": { "created_at": 0, "expires_at": 0, "export_method": null, "filename": "string", "id": "string", "key_alias": "string", "kind": "android_keystore", "name": "string", "profiles": [ { "bundle_id": "string", "expires_at": 0, "profile_name": "string", "profile_uuid": "string" } ], "project_id": "string", "team_id": "string", "updated_at": 0, "used_by": [ { "pipeline_id": "string", "pipeline_name": "string", "workflow": "string" } ] }}